﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Microsoft.VisualBasic;

namespace WindowsFormsApplication17
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.StyleLibraryName = "StyleLibraryName1";
            ultraGrid1.DataSource = GetTable();

            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

            UltraGridGroup group1 = null;
            UltraGridGroup group2 = null;

            group1 = band.Groups.Add("Group1", "Med Info");
            group2 = band.Groups.Add("Group2", "Contact Info");

            group1.Columns.Add(band.Columns["Dosage"], 0, 0);
            group1.Columns.Add(band.Columns["Drug"], 0, 0);

            group2.Columns.Add(band.Columns["Patient"], 0, 0);
            group2.Columns.Add(band.Columns["Date"], 0, 0);
            ultraGrid1.TextRenderingMode = Infragistics.Win.TextRenderingMode.GDIPlus;
            ultraGrid1.DrawFilter = new DF();

        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));

            table.Rows.Add(25, "Indocin", "David", DateTime.Now);
            table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);

            return table;
        }
    }
}
